Package org.jboss.logmanager

# Class Logger.AttachmentKey<V>

java.lang.Object
org.jboss.logmanager.Logger.AttachmentKey<V>

Type Parameters:
  `V` - the attachment value type

Enclosing class:
  `Logger`

public static final class Logger.AttachmentKey<V> extends Object
An attachment key instance.

## Constructor Summary

Constructors
Constructor
Description
`AttachmentKey()`
Construct a new instance.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AttachmentKey

public AttachmentKey()
Construct a new instance.